%global debug_package %{nil}

%bcond_with bootstrap

%define api	3.0
%define girname	%mklibname %{name}-gir %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Shared GSettings schemas for the desktop
Name:		gsettings-desktop-schemas
Version:	42.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		http://gnome.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0001:	0001-Add-new-org.gnome.desktop.background.login-schema.patch
Patch2:		revert-scroll-method-removal.patch
BuildRequires:	gettext
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	meson
%if %{without bootstrap}
Requires:	adwaita-icon-theme
Requires:	gnome-themes-standard
%endif

%description
This contains a collection of GSettings schemas for settings shared by
various components of a desktop.

%package devel
Group:		Development/Libraries
Summary:	Development files for %{name}

%description devel
This contains a collection of GSettings schemas for settings shared by
various components of a desktop.

%prep
%setup -q
%apply_patches

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_libdir}/girepository-1.0/GDesktopEnums-%{api}.typelib

%files devel
%{_includedir}/%{name}
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/GDesktopEnums-%{api}.gir

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/sbin/ldconfig

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/sbin/ldconfig



%changelog
* Sun Sep 11 2022 tex - 42.0-1pclos2022
- new version

* Tue Jan 11 2022 tex - 41.0-1pclos2022
- new version

* Fri Apr 02 2021 tex - 40.0-1pclos2021
- new version

* Mon Sep 14 2020 tex - 3.38.0-1pclos2020
- new version

* Thu Apr 30 2020 tex - 3.36.1-1pclos2020
- new version

* Tue Mar 10 2020 tex - 3.36.0-1pclos2020
- new version

* Wed Apr 17 2019 tex 3.32.0-1pclos2019
- NEW
